<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>Todo List</title>
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.1.1/css/bootstrap.min.css"
          integrity="sha384-WskhaSGFgHYWDcbwN70/dfYBj47jz9qbsMId/iRN3ewGhXQFZCSftd1LZCfmhktB" crossorigin="anonymous">
    <link rel="stylesheet" href="style.css">
</head>
<body>
    <header class="bg-primary text-white p-4 mb-3">
        <div class="container">
            <div class="row">
                <div class="col-md-6">
                    <h1>Todo Application</h1>
                </div>
                <div class="col-md-6 align-self-center input-group">
                    <input id="phrase" type="text" class="form-control" placeholder="Search for a To-Do ...">
                    <div class="input-group-append">
                        <button id="phrase-clear" type="button" class="btn btn-secondary" >Clear</button>
                    </div>
                </div>
            </div>
        </div>
    </header>

    <div class="container">
        <div class="card">
            <div class="card-header text-white bg-dark">Todo Pane</div>
            <div class="card-body">
                <fieldset>
                    <legend>Add/Edit Todo</legend>
                    <form>
                        <div class="row">
                            <div class="col-6 form-group">
                                <label>What</label>
                                <input id="what" type="text" class="form-control" placeholder="Something to do">
                            </div>
                            <div class="col-3 form-group">
                                <label>When</label>
                                <input id="when" type="date" class="form-control" placeholder="Something to do">
                            </div>
                            <div class="col-3 form-group">
                                <label>&nbsp;</label>
                                <div class="row">
                                    <div class="col" >
                                        <button id="save" type="submit" class="btn btn-primary  ">
                                            Save
                                        </button>
                                        <button id="clear" type="button" class="btn btn-secondary  ">
                                            Clear
                                        </button>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </form>
                </fieldset>

                <h2 class="mt-3">Tasks to do</h2>
                <ul id="items" class="list-group">
                    <li class="list-group-item">
                        <div class="float-right">
                            <button type="button" class="btn btn-success btn-sm ml-1">Complete</button>
                            <button type="button" class="btn btn-primary btn-sm">Edit</button>
                            <button type="button" class="btn btn-danger btn-sm ml-1">Remove</button>
                        </div>
                        <p class="when "><span class="date completed">2019-05-30</span> <span class="done"></span></p>
                        <p class="what">Learn how to program in JavaScript </p>
                    </li>
                    <li class="list-group-item">
                        <div class="float-right">
                            <button type="button" class="btn btn-success btn-sm ml-1">Complete</button>
                            <button type="button" class="btn btn-primary btn-sm">Edit</button>
                            <button type="button" class="btn btn-danger btn-sm ml-1">Remove</button>
                        </div>
                        <p class="when"><span class="date">2019-05-25</span></p>
                        <p class="what">Understand how to write asynchronous JS code using promises</p>
                    </li>
                    <li class="list-group-item">
                        <div class="float-right">
                            <button type="button" class="btn btn-success btn-sm ml-1">Complete</button>
                            <button type="button" class="btn btn-primary btn-sm">Edit</button>
                            <button type="button" class="btn btn-danger btn-sm ml-1">Remove</button>
                        </div>
                        <p class="when overdue"><span class="date">2018-05-01</span></p>
                        <p class="what">Be fluent in using the JS DOM API</p>
                    </li>
                    <li class="list-group-item">
                        <div class="float-right">
                            <button type="button" class="btn btn-success btn-sm ml-1">Complete</button>
                            <button type="button" class="btn btn-primary btn-sm">Edit</button>
                            <button type="button" class="btn btn-danger btn-sm ml-1">Remove</button>
                        </div>
                        <p class="when "><span class="date">2019-05-10</span></p>
                        <p class="what">Fix this task</p>
                    </li>
                    <li class="list-group-item">
                        <div class="float-right">
                            <button type="button" class="btn btn-success btn-sm ml-1">Complete</button>
                            <button type="button" class="btn btn-primary btn-sm">Edit</button>
                            <button type="button" class="btn btn-danger btn-sm ml-1">Remove</button>
                        </div>
                        <p class="when "><span class="date">2019-05-20</span></p>
                        <p class="what">Write a fancy web app</p>
                    </li>
                </ul>
            </div>
            <div class="card-body text-muted text-center mb-0 pb-1">
                &copy; Whatever Ltd, 2018. All rights reserved.
            </div>
        </div>
    </div>

    <script src="app.js" defer="true"></script>
</body>
</html>
